services:
    # default configuration for services in *this* file
    _defaults:
        # automatically injects dependencies in your services
        autowire: true
        # automatically registers your services as commands, event subscribers, etc.
        autoconfigure: true


    Pimcore\Bundle\NumberSequenceGeneratorBundle\Generator: ~

    Pimcore\Bundle\NumberSequenceGeneratorBundle\RandomGenerator:
        arguments:
            - '@Symfony\Component\Lock\LockFactory'

    bundle.number_sequence_generator.generator:
        alias: Pimcore\Bundle\NumberSequenceGeneratorBundle\Generator

    bundle.number_sequence_generator.randomgenerator:
        alias: Pimcore\Bundle\NumberSequenceGeneratorBundle\RandomGenerator

    # The migration installer needs the bundle it is operating on upon construction to be able to build its migration configuration.
    # As bundles can't be directly used as service argument, we need to make use of the expression language to fetch the bundle
    # from the kernel upon construction.
    Pimcore\Bundle\NumberSequenceGeneratorBundle\Installer:
        public: true
